## wcsmbs-locale 0.4.11

=== Makefile ===
#
# Copyright (c) 1997,1998 Akira Yoshiyama <yosshy@debian.or.jp>
# Copyright (c) 1998 Fumitoshi UKAI <ukai@debian.or.jp>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public Licenses as
# published by the Free Software Foundation; either version 2 of 
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Makefile for wcsmbs-locale
#
LOCALES=ko_KR.euc ko_KR.johab ko_KR.uhc \
	ja_JP.iso-2022-jp ja_JP.iso-2022-jp.strict \
	ja_JP.jis ja_JP.jis-1978 ja_JP.jis-1983 \
	ja_JP.jis-1990 ja_JP.sjis ja_JP.ujis \
	ja_JP ja ko korean ko_KR

all:
	for i in $(LOCALES); do $(MAKE) -C $$i all; done

install: all
	for i in $(LOCALES); do $(MAKE) -C $$i install DESTDIR=$(DESTDIR); done

clean:
	-for i in $(LOCALES) TOOLS test; do $(MAKE) -C $$i clean; done
	find . -name \*~ -exec rm -f {} \;

# To rebuld */map.c.  
# You should put Unicode map file in MAPS/
map:
	-for i in $(LOCALES); do $(MAKE) -C $$i map; done

distclean:
	-for i in $(LOCALES) TOOLS test; do $(MAKE) -C $$i distclean; done
	find . -name \*~ -exec rm -f {} \;

=== TOOLS/Makefile ===
#
# Copyright (c) 1997,1998 Akira Yoshiyama <yosshy@debian.or.jp>
# Copyright (c) 1998 Fumitoshi UKAI <ukai@debian.or.jp>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public Licenses as
# published by the Free Software Foundation; either version 2 of 
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
MKWCS2MBS = ./mkwcs2mbs

$(MKWCS2MBS): mkwcs2mbs.c
	$(CC) -Wall -g -o $@ $<

clean:
	rm -f $(MKWCS2MBS) *~

distclean: clean
#

=== ja/Makefile ===
#
# Makefile for ja
# it is provides for alias for ja_JP.ujis.
#
ALIAS_LOCALE=ja
DEF_LOCALE=ja_JP.ujis

include ../Makefile.inc

=== ja_JP.iso-2022-jp.strict/Makefile ===
#
# Makefile for ja_JP.iso-2022-jp.strict
#
LOCALENAME=ja_JP.iso-2022-jp.strict
MAPS = ascii jisx0201_1 jisx0208 jisc6226
CHARMAP=ISO-2022-JP
LOCALEINPUT=ja_JP

include ../Makefile.inc

table_mbs2wcs: table_mbs2wcs_tmp $(MKMBS2WCS)
	$(MKMBS2WCS) $< >> $@

table_mbs2wcs_tmp: $(MAPS) $(GENMBS2WCS)
	echo "map_ascii:default" > $@
	echo "0x1B	esc_1B:" >> $@
	cat ascii >> $@
	echo "" >> $@

	echo "map_jisx0201_1:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	cat jisx0201_1 >> $@
	echo "" >> $@

	echo "map_jisx0208:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisx0208 0x0 jisx0208 >> $@
	echo "" >> $@

	echo "map_jisc6226:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisc6226 0x0 jisc6226 >> $@
	echo "" >> $@

	cat escseq >> $@

table_wcs2mbs: $(MAPS) $(MKWCS2MBS)
	$(MKWCS2MBS) 1 ascii < ascii > $@
	$(MKWCS2MBS) 1 jisx0201_1 < jisx0201_1 >> $@
	$(MKWCS2MBS) 2 jisx0208   < jisx0208 >> $@
	$(MKWCS2MBS) 2 jisc6226   < jisc6226 >> $@

ascii: ../MAPS/CONTROL.TXT ../MAPS/ASCII.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_1: ../MAPS/CONTROL.TXT ../MAPS/JIS_X_0201-1976.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0208: ../MAPS/JIS_X_0208-1990.TXT
	awk '! /^#/ { print $$2 "\t" $$3 }' $^ > $@

jisc6226: ../MAPS/JIS_C_6226-1978.TXT
	awk '! /^#/ { print $$1 "\t" $$2 }' $^ > $@

=== ja_JP.iso-2022-jp/Makefile ===
#
# Makefile for ja_JP.iso-2022-JP
#
LOCALENAME=ja_JP.iso-2022-jp
MAPS = ascii jisx0201_1 jisx0201_2 jisx0208 jisc6226 jisx0212
CHARMAP=ISO-2022-JP
LOCALEINPUT=ja_JP

include ../Makefile.inc

table_mbs2wcs: table_mbs2wcs_tmp $(MKMBS2WCS)
	$(MKMBS2WCS) $< >> $@

table_mbs2wcs_tmp: $(MAPS) $(GENMBS2WCS)
	echo "map_ascii:default" > $@
	echo "0x1B	esc_1B:" >> $@
	cat ascii >> $@
	echo "" >> $@

	echo "map_jisx0201_1:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	cat jisx0201_1 >> $@
	echo "" >> $@

	echo "map_jisx0201_2:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	cat jisx0201_2 >> $@
	echo "" >> $@

	echo "map_jisx0208:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisx0208 0x0 jisx0208 >> $@
	echo "" >> $@

	echo "map_jisc6226:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisc6226 0x0 jisc6226 >> $@
	echo "" >> $@

	echo "map_jisx0212:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisx0212 0x0 jisx0212 >> $@
	echo "" >> $@

	cat escseq >> $@

table_wcs2mbs: $(MAPS) $(MKWCS2MBS)
	$(MKWCS2MBS) 1 ascii < ascii > $@
	$(MKWCS2MBS) 1 jisx0201_1 < jisx0201_1 >> $@
	$(MKWCS2MBS) 1 jisx0201_2 < jisx0201_2 >> $@
	$(MKWCS2MBS) 2 jisx0208   < jisx0208 >> $@
	$(MKWCS2MBS) 2 jisc6226   < jisc6226 >> $@
	$(MKWCS2MBS) 2 jisx0212   < jisx0212 >> $@

ascii: ../MAPS/CONTROL.TXT ../MAPS/ASCII.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_1: ../MAPS/CONTROL.TXT ../MAPS/JIS_X_0201-1976.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_2: ../MAPS/JIS_X_0201-1976.TXT
	sed -n -e '/^0x[89A-F]/p' $^ | \
	$(UNMASK) 0x80 >> $@

jisx0208: ../MAPS/JIS_X_0208-1990.TXT
	awk '! /^#/ { print $$2 "\t" $$3 }' $^ > $@

jisc6226: ../MAPS/JIS_C_6226-1978.TXT
	awk '! /^#/ { print $$1 "\t" $$2 }' $^ > $@

jisx0212: ../MAPS/JIS_X_0212-1990.TXT
	awk '! /^#/ { print $$1 "\t" $$2 }' $^ > $@

=== ja_JP.jis-1978/Makefile ===
#
# Makefile for ja_JP.jis-1978
#
LOCALENAME=ja_JP.jis-1978
MAPS = ascii jisx0201_1 jisx0201_2 jisc6226
CHARMAP=ISO-2022-JP
LOCALEINPUT=ja_JP

include ../Makefile.inc

table_mbs2wcs: table_mbs2wcs_tmp $(MKMBS2WCS) 
	$(MKMBS2WCS) $< >> $@

table_mbs2wcs_tmp: $(MAPS) $(GENMBS2WCS)
	echo "map_ascii:default" > $@
	echo "0x1B	esc_1B:" >> $@
	cat ascii >> $@
	echo "" >> $@

	echo "map_jisx0201_1:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	cat jisx0201_1 >> $@
	echo "" >> $@

	echo "map_jisx0201_2:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	cat jisx0201_2 >> $@
	echo "" >> $@

	echo "map_jisc6226:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisc6226 0x0 jisc6226 >> $@
	echo "" >> $@

	cat escseq >> $@

table_wcs2mbs: $(MAPS) $(MKWCS2MBS)
	$(MKWCS2MBS) 1 ascii < ascii > $@
	$(MKWCS2MBS) 1 jisx0201_1 < jisx0201_1 >> $@
	$(MKWCS2MBS) 1 jisx0201_2 < jisx0201_2 >> $@
	$(MKWCS2MBS) 2 jisc6226   < jisc6226 >> $@

ascii: ../MAPS/CONTROL.TXT ../MAPS/ASCII.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_1: ../MAPS/CONTROL.TXT ../MAPS/JIS_X_0201-1976.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_2: ../MAPS/JIS_X_0201-1976.TXT
	sed -n -e '/^0x[89A-F]/p' $^ | \
	$(UNMASK) 0x80 >> $@

jisc6226: ../MAPS/JIS_C_6226-1978.TXT
	awk '! /^#/ { print $$1 "\t" $$2 }' $^ > $@

=== ja_JP.jis-1983/Makefile ===
#
# Makefile for ja_JP.jis-1983
#
LOCALENAME=ja_JP.jis-1983
MAPS = ascii jisx0201_1 jisx0201_2 jisx0208 jisc6226
CHARMAP=ISO-2022-JP
LOCALEINPUT=ja_JP

include ../Makefile.inc

table_mbs2wcs: table_mbs2wcs_tmp $(MKMBS2WCS)
	$(MKMBS2WCS) $< >> $@

table_mbs2wcs_tmp: $(MAPS) $(GENMBS2WCS)
	echo "map_ascii:default" > $@
	echo "0x1B	esc_1B:" >> $@
	cat ascii >> $@
	echo "" >> $@

	echo "map_jisx0201_1:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	cat jisx0201_1 >> $@
	echo "" >> $@

	echo "map_jisx0201_2:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	cat jisx0201_2 >> $@
	echo "" >> $@

	echo "map_jisx0208:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisx0208 0x0 jisx0208 >> $@
	echo "" >> $@

	echo "map_jisc6226:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisc6226 0x0 jisc6226 >> $@
	echo "" >> $@

	cat escseq >> $@

table_wcs2mbs: $(MAPS) $(MKWCS2MBS)
	$(MKWCS2MBS) 1 ascii < ascii > $@
	$(MKWCS2MBS) 1 jisx0201_1 < jisx0201_1 >> $@
	$(MKWCS2MBS) 1 jisx0201_2 < jisx0201_2 >> $@
	$(MKWCS2MBS) 2 jisx0208   < jisx0208 >> $@
	$(MKWCS2MBS) 2 jisc6226   < jisc6226 >> $@

ascii: ../MAPS/CONTROL.TXT ../MAPS/ASCII.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_1: ../MAPS/CONTROL.TXT ../MAPS/JIS_X_0201-1976.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_2: ../MAPS/JIS_X_0201-1976.TXT
	sed -n -e '/^0x[89A-F]/p' ../MAPS/JIS_X_0201-1976.TXT | \
	$(UNMASK) 0x80 >> $@

jisx0208: ../MAPS/JIS_X_0208-1990.TXT
	sed -n -e '1,/^0xEAA2/p' $^ | \
	awk '! /^#/ { print $$2 "\t" $$3 }' > $@

jisc6226: ../MAPS/JIS_C_6226-1978.TXT
	awk '! /^#/ { print $$1 "\t" $$2 }' $^ > $@

=== ja_JP.jis-1990/Makefile ===
#
# Makefile for ja_JP.jis-1990
#
LOCALENAME=ja_JP.jis-1990
MAPS = ascii jisx0201_1 jisx0201_2 jisx0208 jisc6226 jisx0212
CHARMAP=ISO-2022-JP
LOCALEINPUT=ja_JP

include ../Makefile.inc

table_mbs2wcs: table_mbs2wcs_tmp $(MKMBS2WCS)
	$(MKMBS2WCS) $< >> $@

table_mbs2wcs_tmp: $(MAPS) $(GENMBS2WCS)
	echo "map_ascii:default" > $@
	echo "0x1B	esc_1B:" >> $@
	cat ascii >> $@
	echo "" >> $@

	echo "map_jisx0201_1:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	cat jisx0201_1 >> $@
	echo "" >> $@

	echo "map_jisx0201_2:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	cat jisx0201_2 >> $@
	echo "" >> $@

	echo "map_jisx0208:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisx0208 0x0 jisx0208 >> $@
	echo "" >> $@

	echo "map_jisc6226:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisc6226 0x0 jisc6226 >> $@
	echo "" >> $@

	echo "map_jisx0212:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisx0212 0x0 jisx0212 >> $@
	echo "" >> $@

	cat escseq >> $@

table_wcs2mbs: $(MAPS) $(MKWCS2MBS)
	$(MKWCS2MBS) 1 ascii < ascii > $@
	$(MKWCS2MBS) 1 jisx0201_1 < jisx0201_1 >> $@
	$(MKWCS2MBS) 1 jisx0201_2 < jisx0201_2 >> $@
	$(MKWCS2MBS) 2 jisx0208   < jisx0208 >> $@
	$(MKWCS2MBS) 2 jisc6226   < jisc6226 >> $@
	$(MKWCS2MBS) 2 jisx0212   < jisx0212 >> $@

ascii: ../MAPS/CONTROL.TXT ../MAPS/ASCII.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_1: ../MAPS/CONTROL.TXT ../MAPS/JIS_X_0201-1976.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_2: ../MAPS/JIS_X_0201-1976.TXT
	sed -n -e '/^0x[89A-F]/p' $^ | \
	$(UNMASK) 0x80 >> $@

jisx0208: ../MAPS/JIS_X_0208-1990.TXT
	awk '! /^#/ { print $$2 "\t" $$3 }' $^ > $@

jisc6226: ../MAPS/JIS_C_6226-1978.TXT
	awk '! /^#/ { print $$1 "\t" $$2 }' $^ > $@

jisx0212: ../MAPS/JIS_X_0212-1990.TXT
	awk '! /^#/ { print $$1 "\t" $$2 }' $^ > $@

=== ja_JP.jis/Makefile ===
#
# Makefile for ja_JP.jis
#
LOCALENAME=ja_JP.jis
MAPS = ascii jisx0201_1 jisx0201_2 jisx0208_1990 jisx0208 jisc6226 jisx0212
CHARMAP=ISO-2022-JP
LOCALEINPUT=ja_JP

include ../Makefile.inc

# for map.c
table_mbs2wcs: table_mbs2wcs_tmp $(MKMBS2WCS) 
	$(MKMBS2WCS) $< >> $@

table_mbs2wcs_tmp: $(MAPS) $(GENMBS2WCS)
	echo "map_ascii:default" > $@
	echo "0x1B	esc_1B:" >> $@
	cat ascii >> $@
	echo "" >> $@

	echo "map_jisx0201_1:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	cat jisx0201_1 >> $@
	echo "" >> $@

	echo "map_jisx0201_2:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	cat jisx0201_2 >> $@
	echo "" >> $@

	echo "map_jisx0208:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisx0208 0x0 jisx0208 >> $@
	echo "" >> $@

	echo "map_jisx0208_1990:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisx0208_1990 0x0 jisx0208_1990 >> $@
	echo "" >> $@

	echo "map_jisc6226:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisc6226 0x0 jisc6226 >> $@
	echo "" >> $@

	echo "map_jisx0212:default" >> $@
	echo "0x1B	esc_1B:" >> $@
	$(GENMBS2WCS) jisx0212 0x0 jisx0212 >> $@
	echo "" >> $@

	cat escseq >> $@

table_wcs2mbs: $(MAPS) $(MKWCS2MBS)
	$(MKWCS2MBS) 1 ascii < ascii > $@
	$(MKWCS2MBS) 1 jisx0201_1 < jisx0201_1 >> $@
	$(MKWCS2MBS) 1 jisx0201_2 < jisx0201_2 >> $@
	$(MKWCS2MBS) 2 jisx0208   < jisx0208 >> $@
	$(MKWCS2MBS) 2 jisx0208_1990   < jisx0208_1990 >> $@
	$(MKWCS2MBS) 2 jisc6226   < jisc6226 >> $@
	$(MKWCS2MBS) 2 jisx0212   < jisx0212 >> $@

ascii: ../MAPS/CONTROL.TXT ../MAPS/ASCII.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_1: ../MAPS/CONTROL.TXT ../MAPS/JIS_X_0201-1976.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_2: ../MAPS/JIS_X_0201-1976.TXT
	sed -n -e '/^0x[89A-F]/p' $^ | \
	$(UNMASK) 0x80 >> $@

jisx0208: ../MAPS/JIS_X_0208-1990.TXT
	sed -n -e '1,/^0xEAA2/p' $^ | \
	awk '! /^#/ { print $$2 "\t" $$3 }' > $@

jisx0208_1990: ../MAPS/JIS_X_0208-1990.TXT
	awk '! /^#/ { print $$2 "\t" $$3 }' $^ > $@

jisc6226: ../MAPS/JIS_C_6226-1978.TXT
	awk '! /^#/ { print $$1 "\t" $$2 }' $^ > $@

jisx0212: ../MAPS/JIS_X_0212-1990.TXT
	awk '! /^#/ { print $$1 "\t" $$2 }' $^ > $@

=== ja_JP.sjis/Makefile ===
#
# Makefile for ja_JP.sjis
#
LOCALENAME=ja_JP.sjis
MAPS = jisx0201_1 jisx0201_2 jisx0208
CHARMAP=Shift_JIS
LOCALEINPUT=ja_JP

include ../Makefile.inc

table_mbs2wcs: table_mbs2wcs_tmp $(MKMBS2WCS)
	$(MKMBS2WCS) $< >> $@

table_mbs2wcs_tmp: $(MAPS) $(GENMBS2WCS)
	echo "map_jisx0201_1:default" > $@
	cat jisx0201_1 >> $@
	echo "" >> $@

	cat jisx0201_2 >> $@
	echo "" >> $@

	$(GENMBS2WCS) jisx0208 0x0 jisx0208 >> $@
	echo "" >> $@

table_wcs2mbs: $(MAPS) $(MKWCS2MBS)
	$(MKWCS2MBS) 1 jisx0201_1 < jisx0201_1> $@
	$(MKWCS2MBS) 1 jisx0201_2 < jisx0201_2 >> $@
	$(MKWCS2MBS) 2 jisx0208 0 < jisx0208 >> $@

jisx0201_1: ../MAPS/CONTROL.TXT ../MAPS/SHIFTJIS.TXT
	sed -n -e '/^0x[0-7][0-9A-F]	/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_2: ../MAPS/SHIFTJIS.TXT
	sed -n -e '/^0x[89A-F][0-9A-F]	/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0208: ../MAPS/SHIFTJIS.TXT
	sed -n -e '/^0x[0-9A-F][0-9A-F][0-9A-F][0-9A-F]	/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

=== ja_JP.ujis/Makefile ===
#
# Makefile for ja_JP.ujis
#
LOCALENAME=ja_JP.ujis
MAPS = ascii jisx0201_2 jisx0208 jisx0212
CHARMAP=EUC-JP
LOCALEINPUT=ja_JP

include ../Makefile.inc

table_mbs2wcs: table_mbs2wcs_tmp $(MKMBS2WCS)
	$(MKMBS2WCS) $< >> $@

table_mbs2wcs_tmp: $(MAPS) $(GENMBS2WCS)
	echo "map_ascii:default" > $@
	cat ascii >> $@
	echo "" >> $@

	echo "0x8E	map_jisx0201_2:" >> $@
	echo "0x8F	map_jisx0212:" >> $@
	echo "" >> $@

	$(GENMBS2WCS) jisx0208 0x8080 jisx0208 >> $@
	echo "" >> $@

	echo "map_jisx0201_2:" >> $@
	cat jisx0201_2 >> $@
	echo "" >> $@

	echo "map_jisx0212:" >> $@
	$(GENMBS2WCS) jisx0212 0x8080 jisx0212 >> $@

table_wcs2mbs: $(MAPS) $(MKWCS2MBS)
	$(MKWCS2MBS) 1 ascii < ascii > $@
	$(MKWCS2MBS) 1 jisx0201_2 < jisx0201_2 >> $@
	$(MKWCS2MBS) 2 jisx0208 0x8080  < jisx0208 >> $@
	$(MKWCS2MBS) 2 jisx0212 0x8080  < jisx0212 >> $@

ascii: ../MAPS/CONTROL.TXT ../MAPS/ASCII.TXT
	sed -n -e '/^0x[0-7]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0201_2: ../MAPS/JIS_X_0201-1976.TXT
	sed -n -e '/^0x[89A-F]/p' $^ | \
	awk '{ print $$1 "\t" $$2 }' >> $@

jisx0208: ../MAPS/JIS_X_0208-1990.TXT
	awk '! /^#/ { print $$2 "\t" $$3 }' $^ > $@

jisx0212: ../MAPS/JIS_X_0212-1990.TXT
	awk '! /^#/ { print $$1 "\t" $$2 }' $^ > $@

=== ja_JP/Makefile ===
#
# Makefile for ja_JP
# it is provides for alias for ja_JP.ujis.
#
ALIAS_LOCALE=ja_JP
DEF_LOCALE=ja_JP.ujis

include ../Makefile.inc

=== debian/changelog ===
wcsmbs-locale (0.4.11) frozen unstable; urgency=medium

  * close Bug#31233.	
  * (src/mbsrtowcs_locale.c) fix for pwc == NULL.
  * (src/mbsnrtowcs_locale.c) fix for unfinished mbs.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 29 Dec 1998 00:08:39 +0900

wcsmbs-locale (0.4.10) frozen unstable; urgency=low

  * fix ja_JP.sjis map.c, close Bug#JP/699
  * fix lintian error: spelling-error-in-description

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  7 Dec 1998 13:23:07 +0900

wcsmbs-locale (0.4.9) frozen unstable; urgency=low

  * Makefile.inc: make symlink for alias locales. fix bug#30213

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  2 Dec 1998 00:54:25 +0900

wcsmbs-locale (0.4.8) frozen unstable; urgency=low

  * (debian/control) change dependency, conflicts older wcsmbs and wcsmbs-locale, because wcsmbs-locale-{ja,ko} can not coexists, close bug#30012
  * (debian/rules) remove korean directories from wcsmbs-locale-ja 

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 16 Nov 1998 00:48:46 +0900

wcsmbs-locale (0.4.7) unstable; urgency=low

  * fix mbsnrtowcs() and wcsnrtombs() to return correct error values.
  * modify mbrtowc() to follow mbsnrtowcs() changes
  * fix mbsnrtowcs() and wcsnrtombs() if dst == NULL, reported by Jungshik Shin <jshin@pantheon.yale.edu> 

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 15 Nov 1998 09:33:41 +0900

wcsmbs-locale (0.4.6) unstable; urgency=HIGH

  * Oops, I fotgot removing the Unicode map again..

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 22 Oct 1998 20:05:03 +0900

wcsmbs-locale (0.4.5) unstable; urgency=low

  * ko_KR.euc was missing. reported by Chu-yeon Park <kokids@doit.ajou.ac.kr>
  * remove copyright of Unicode map file from debian/copyright, since it is misleading.  wcsmbs-locale does no longer contain restricted Unicode map file.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 21 Oct 1998 01:13:45 +0900

wcsmbs-locale (0.4.4) unstable; urgency=low

  * fix Bug/JP#565
  * remove some Unicode map file from source, because we are not allowed to redistribute these files by their copyrights.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 12 Oct 1998 10:27:31 +0900

wcsmbs-locale (0.4.3) unstable; urgency=low

  * change maintainer from yosshy@lyra.vega.or.jp to ukai@debian.or.jp
  * multi package (wcsmbs-locale-ja and wcsmba-locale-ko)
  * depends libwcsmbs

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  8 Oct 1998 05:11:39 +0900

wcsmbs-locale (0.4.2) frozen unstable; urgency=low

  * depends: libc6-wcsmbs
  * import CVS 

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 17 Jul 1998 20:24:53 +0900

wcsmbs-locale (0.4.1) frozen unstable; urgency=low

  * fix Makefile.inc, reported by densuke@mike.n.is.sci.toho-u.ac.jp 
  * clean TOOLS/mkwcs2mbs, close Bug#JP/429.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  5 Jul 1998 03:05:25 +0900

wcsmbs-locale (0.4) frozen unstable; urgency=high

  * add localedata for ja_JP.* based on
    http://asis.hypercore.co.jp/home/kaz/linux/glibc-2.0-jalocales-0.0.1.tar.gz
    provided by Kaz Sasayama.
    Now, wcsmbs-locale is replacement package of locale-ja.
  * Split common rules of subdirs Makefile.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  5 Jul 1998 00:15:05 +0900

wcsmbs-locale (0.3.8) unstable; urgency=low

  * install wcsmbs.so in /usr/lib/wcsmbs/<locale>
    for FHS (Filesystem Hierarchy Standard).

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat,  4 Jul 1998 22:42:05 +0900

wcsmbs-locale (0.3.7.4) frozen unstable; urgency=low

  * install docs, examples to /usr/doc/wcsmbs-locale instead of 
    /usr/doc/wcsmbs

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  3 Jul 1998 20:54:33 +0900

wcsmbs-locale (0.3.7.3) frozen unstable; urgency=medium

  * Non Maintainer's release
  * Add depends: locale-ja.  Without locale-ja, setlocale() will be failed
    and wcsmbs.so would never loaded, so you can't use this wcsmbs routines. 
    However locale-ja (at least <= 2.1.1) only supports ja_JP.ujis, so other 
    ja_JP (such as ja_JP.sjis) won't work.
  * Add recommends: libc6-wcsmbs.  In usual case, you can't use wcsmbs.so
    without libc6-wcsmbs.
  * Initialize mbstate_t explicitly.
  * Fix wcsnrtombs_locale.c (core dump if illegal sequence).
  * Fix Bug#JP/427, reported by matsu@arch.comp.kyutech.ac.jp. 
  * fix lintian warnings: shlib-without-dependency-information.
  * add test/iconv.c from linux-tech:00497.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  3 Jul 1998 19:03:05 +0900

wcsmbs-locale (0.3.7.2) frozen unstable; urgency=low

  * non Maintainer's release
  * fix src/mbsnrtowcs_locale.c (close Bug/JP#423)
  * revert previous fix

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 29 Jun 1998 13:04:01 +0900

wcsmbs-locale (0.3.7.1) unstable; urgency=low

  * non Maintainer's release 
  * fix Bug/JP#423

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 28 Jun 1998 01:24:39 +0900

wcsmbs-locale (0.3.7) unstable; urgency=low

  * Deleted ja_JP.jis-1978/JIS_X_0208-1983.
  * Fixed Makefile in ja_JP.jis to generate JIS_X_0208-1983.

 -- Akira YOSHIYAMA <yosshy@debian.or.jp>  Sun, 14 Jun 1998 00:03:26 +0900

wcsmbs-locale (0.3.6) unstable; urgency=low

  * Fixed some bugs in mbrtowc(), and so on.
  * Added ctype_get_mb_cur_max_locale().
  * Replaced ja_JP.jis*, ja_JP.iso-2022-jp*.

 -- Akira YOSHIYAMA <yosshy@debian.or.jp>  Wed, 10 Jun 1998 23:43:44 +0900

wcsmbs-locale (0.3.5) unstable; urgency=low

  * Renamed ja_JP.jis as ja_JP.iso2022jp.
  * Fixed the def file of ja_JP.iso2022jp.
  * Divided ja_JP.jis from ja_JP.iso2022jp.
  * Renamed this package as `wcsmbs-locale'.

 -- Akira YOSHIYAMA <yosshy@debian.or.jp>  Mon, 25 May 1998 22:32:28 +0900

wcsmbs (0.3.4) unstable; urgency=low

  * Fixed def, escseq files in ja_JP.jis, ja_JP.ujis.
  * Added a map file for JIS C 6226-1978.
  * Renamed map files (JIS*).
  * Fixed priority infomation to optional.
  * Fixed section infomation to libs.

 -- Akira YOSHIYAMA <yosshy@debian.or.jp>  Mon, 25 May 1998 21:38:22 +0900

wcsmbs (0.3.3) unstable; urgency=low



=== debian/control ===
Source: wcsmbs-locale
Section: libs
Priority: optional
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Standards-Version: 2.4.0.0

Package: wcsmbs-locale-ja
Architecture: any
Depends: libwcsmbs, ${shlibs:Depends}
Conflicts: wcsmbs (<= 0.3.3), locale-ja, wcsmbs-locale (<= 0.4.5)
Provides: wcsmbs, locale-ja
Replaces: wcsmbs, locale-ja, wcsmbs-locale
Description: WC<->MBC convert function libraries for Japanese in glibc-2.x
 wcsmbs contains DLLs which allow to use various codes as multibyte
 character encoding.  It contains: EUC-JP, ISO-2022-JP, 
 Microsoft ShiftJIS(SJIS).
 .
 It can be applied to other codes, but not contains now.
 .
 It also provides as experimental and incorrect locale definition
 for Japanese (ja_JP). Since the GNU libc does not support the EUC-JP,
 ISO-2022-JP and ShiftJIS encoding yet, we cannot make a correct locale
 definition for it.

Package: wcsmbs-locale-ko
Architecture: any
Depends: libwcsmbs, ${shlibs:Depends}
Conflicts: wcsmbs (<= 0.3.3), locale-ko, wcsmbs-locale (<= 0.4.5)
Provides: wcsmbs, locale-ko
Replaces: wcsmbs, locale-ko, wcsmbs-locale
Description: WC<->MBC convert function libraries for Korean in glibc-2.x
 wcsmbs contains DLLs which allow to use various codes as multibyte
 character encoding.  It contains: EUC-KR and so on.
 .
 It can be applied to other codes, but not contains now.
 .
 It also provides as experimental and incorrect locale definition
 for Korean (ko_KR). Since the GNU libc does not support the EUC-KR,
 encoding yet, we cannot make a correct locale definition for it.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the iad of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Cristopt Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-cd MAPS && sh README.unicode
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	dh_movefiles
	cd debian/tmp && rm -rf usr/share/locale/ko*
	cd debian/tmp && rm -rf usr/lib/wcsmbs/ko*
	dh_installdocs -A doc/* localedata/README.localedata MAPS/README.unicode
	dh_installexamples -A test/*
#	dh_installmenu
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol 
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
